package com.goafanti.demand.bo;

import java.math.BigDecimal;
import java.util.Date;

import org.apache.commons.lang3.time.DateFormatUtils;

import com.goafanti.common.constant.AFTConstants;

public class AppDemandBo {
	   private int fieldA;//行业
	    private int fieldB;//行业二级
	    private String field1;//行业---字符串
	    private String field2;//二级行业 --字符串
	    private int isHot;//热门
	    private Date releaseDate;//发布时间
	    private int interestCount;//收藏数
	    private String id;//id
	    private int demandType;// 需求类型(0-企业技术需求，1-技术设备类需求，2-产学研合作需求，3-研产资金需求，4-地区产业需求，5-技术人才型需求)
	    private String name;//需求名称
	    private String problemDes;//问题描述
	    private String pictureUrl;//图片
	    private int releaseStatus;//发布状态
	    private int auditStatus;//审核状态
	    private int interest;//是否感兴趣
	    private int orderCount;//订单数
	    private String keyword;//关键词
	    private BigDecimal fixedBudget;//固定预算
	    private BigDecimal crowdCost;//资金需求金额
	    private BigDecimal budgetCost;
	    private Date createTime;
	    private String pictureUrlMin;
		private String  ownerName;//所有人名称
		private String ownerMobile;//所有人电话

		public int getFieldA() {
			return fieldA;
		}
		public void setFieldA(int fieldA) {
			this.fieldA = fieldA;
		}
		public int getFieldB() {
			return fieldB;
		}
		public void setFieldB(int fieldB) {
			this.fieldB = fieldB;
		}
		public String getField1() {
			return field1;
		}
		public void setField1(String field1) {
			this.field1 = field1;
		}
		public String getField2() {
			return field2;
		}
		public void setField2(String field2) {
			this.field2 = field2;
		}
		public int getIsHot() {
			return isHot;
		}
		public void setIsHot(int isHot) {
			this.isHot = isHot;
		}
		public Date getReleaseDate() {
			return releaseDate;
		}
		public void setReleaseDate(Date releaseDate) {
			this.releaseDate = releaseDate;
		}
		public String getReleaseDateFormattedDate() {
			if (this.releaseDate == null) {
				return null;
			} else {
				return DateFormatUtils.format(this.getReleaseDate(), AFTConstants.YYYYMMDDHHMMSS);
			}
		}
		public int getInterestCount() {
			return interestCount;
		}
		public void setInterestCount(int interestCount) {
			this.interestCount = interestCount;
		}
		public String getId() {
			return id;
		}
		public void setId(String id) {
			this.id = id;
		}
		public int getDemandType() {
			return demandType;
		}
		public void setDemandType(int demandType) {
			this.demandType = demandType;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getProblemDes() {
			return problemDes;
		}
		public void setProblemDes(String problemDes) {
			this.problemDes = problemDes;
		}
		public String getPictureUrl() {
			return pictureUrl;
		}
		public void setPictureUrl(String pictureUrl) {
			this.pictureUrl = pictureUrl;
		}
		public int getReleaseStatus() {
			return releaseStatus;
		}
		public void setReleaseStatus(int releaseStatus) {
			this.releaseStatus = releaseStatus;
		}
		public int getAuditStatus() {
			return auditStatus;
		}
		public void setAuditStatus(int auditStatus) {
			this.auditStatus = auditStatus;
		}
		public int getInterest() {
			return interest;
		}
		public void setInterest(int interest) {
			this.interest = interest;
		}
		public int getOrderCount() {
			return orderCount;
		}
		public void setOrderCount(int orderCount) {
			this.orderCount = orderCount;
		}
		public String getKeyword() {
			return keyword;
		}
		public void setKeyword(String keyword) {
			this.keyword = keyword;
		}
		public BigDecimal getFixedBudget() {
			return fixedBudget;
		}
		public void setFixedBudget(BigDecimal fixedBudget) {
			this.fixedBudget = fixedBudget;
		}
		public BigDecimal getCrowdCost() {
			return crowdCost;
		}
		public void setCrowdCost(BigDecimal crowdCost) {
			this.crowdCost = crowdCost;
		}
		public BigDecimal getBudgetCost() {
			return budgetCost;
		}
		public void setBudgetCost(BigDecimal budgetCost) {
			this.budgetCost = budgetCost;
		}
		public Date getCreateTime() {
			return createTime;
		}
		public void setCreateTime(Date createTime) {
			this.createTime = createTime;
		}
		public String getCreateTimeFormattedDate() {
			if (this.createTime == null) {
				return null;
			} else {
				return DateFormatUtils.format(this.getCreateTime(), AFTConstants.YYYYMMDDHHMMSS);
			}
		}
		public String getPictureUrlMin() {
			return pictureUrlMin;
		}
		public void setPictureUrlMin(String pictureUrlMin) {
			this.pictureUrlMin = pictureUrlMin;
		}
		public String getOwnerName() {
			return ownerName;
		}
		public void setOwnerName(String ownerName) {
			this.ownerName = ownerName;
		}
		public String getOwnerMobile() {
			return ownerMobile;
		}
		public void setOwnerMobile(String ownerMobile) {
			this.ownerMobile = ownerMobile;
		}
}
